﻿#language: ru

@quality_control

Функционал: 03_quality_control. Использование обработки Учет показателей складов

Сценарий: 03_quality_control. Подготовка к использованию обработки Учет показателей складов
	Дано Я переключаюсь на открытый клиент "Администратор"
	И В командном интерфейсе я выбираю 'Производство' 'Заявки на регистрацию показателей по складам'
	Тогда открылось окно 'Заявки на регистрацию показателей по складам'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Заявка на регистрацию показателей по складам (создание)'
	И я нажимаю кнопку выбора у поля "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырцех'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Заявка на регистрацию показателей по складам (создание) *'
	И я нажимаю кнопку выбора у поля "Вид показателя"
	Тогда открылось окно 'Виды показателей складов'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Солилка'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Заявка на регистрацию показателей по складам (создание) *'
	И в поле с именем 'Дата' я ввожу текст '01.11.2018 12:52:00'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Заявка на регистрацию показателей по складам (создание) *' в течение 20 секунд
	Тогда открылось окно 'Заявки на регистрацию показателей по складам'
	И я закрываю окно 'Заявки на регистрацию показателей по складам'
	
Сценарий: 03_quality_control. Использование обработки Учет показателей складов
	Дано Я подключаюсь под "qual_Киоск"
	И в поле с именем 'Дата' я ввожу текст '01.11.2018'
	И я нажимаю кнопку выбора у поля "Смена"
	Тогда открылось окно 'Смены'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Смена24'       |	
	И я нажимаю на кнопку с именем 'Выбрать'
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырцех'       |
	И я нажимаю на кнопку с именем 'Выбрать'
	И я нажимаю на кнопку 'Учет показателей среды'
	Тогда открылось окно "Работа с заявками на регистрацию показателей складов"
	И в таблице "Заявки" я перехожу к строке:
		|'Склад'|
		|'Сырцех'|
	И я нажимаю на кнопку "Приступить"
	Тогда открылось окно 'Сырцех [Солилка]: Учет показателей складов'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель'  |
		| 'Температура' |
	И пауза 1
	И я нажимаю на кнопку с именем "КомандаКалькулятора1"
	И я нажимаю на кнопку с именем "КомандаКалькулятора2"
	И я нажимаю на кнопку 'Подтвердить'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		| 'Давление'   |
	И пауза 1
	И я нажимаю на кнопку с именем "КомандаКалькулятора2"
	И я нажимаю на кнопку с именем "КомандаКалькулятора1"
	И я нажимаю на кнопку с именем "КомандаКалькулятораРазделитель"
	И я нажимаю на кнопку с именем "КомандаКалькулятора5"
	И я нажимаю на кнопку 'Подтвердить'
	И я нажимаю на кнопку 'КомандаСохранить'
	Тогда открылось окно 'Работа с заявками на регистрацию показателей складов'
	И Я закрываю окно 'Работа с заявками на регистрацию показателей складов'

Сценарий: 03_quality_control.02.020 Закрытие клиента
	И я закрываю сеанс TESTCLIENT